export declare const promiseTimeout: (ms: number, promise: Promise<any>) => Promise<unknown>;
declare type RetryResult = {
    isDone: boolean;
    payload: any;
};
declare type RetryHandleCallback = (currExeCount: number) => Promise<RetryResult>;
export declare const promiseRetry: (maxExeCount: number, interval: number, cb: RetryHandleCallback) => Promise<any>;
export {};
